Update newsletter list subscription Beta OAuth Scope: newsletter_lists:write

<Note title="Currently in beta" icon="b"> Newsletter Lists is currently in beta, the API is subject to change. </Note> Update a newsletter list subscription. Currently supports unsubscribing a subscription from a newsletter list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
newsletterListIdstringRequiredformat: "^(nl_list_[0-9a-fA-F\-]+)$"
The prefixed ID of the newsletter list object
newsletterListSubscriptionIdstringRequiredformat: "^(nl_list_sub_[0-9a-fA-F\-]+)$"
The prefixed ID of the newsletter list subscription object

Request

This endpoint expects an object.
unsubscribebooleanOptional
Set to true to unsubscribe the subscription from this newsletter list.

Response

OK
dataobject

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error